roarctl(1)

NAME

roarctl - RoarAudio sound server controll tool

SYNOPSIS

roarcat [OPTIONS]... COMMAND [OPTS] [COMMAND [OPTS] [COMMAND [OPTS] [...]]]

DESCRIPTION
This tool controlls the RoarAudio's sound server. This is done by sending commands to the server. See COMMANDS for a list.

GENERAL OPTIONS

--help
    Print some help text.

--verbose, -v
    Be verbose. May be used multiple times.

--list-libstandards
    Similar to serverstandards, reports the list of standard libroar supports.

--list-aiprofiles
    Show audio info profiles and exit.

--enum-servers
    List servers found on the network. Depending on the build options of libroar this includes results from many tests like standard server locations, OpenSLP located servers, X11 located servers, DECnet's neighbor and IP's ARP table and other sources.

NETWORK OPTIONS

--server SERVER
    The server to connect to

BASIC COMMANDS

help
    Same as --help.

listaiprofiles
    List audio info profiles.

aiprofileget PROFILE
    Display a the given audio info profile.

sleep TIME
    Sleeps for TIME seconds.

ping NUM
    Pings the server NUM times. This is done by sending NOOP commands to the server. The response time as well as as a small statistics section is printed.

    This is not supported on all platforms.

servername
    This command shows the server address of the server currently connected to. This can be different from what has given e.g. in case of special server names like +fork.

whoami
    Report client ID of roarctl on the current server.

standby, off, resume, on
    Brings the server into standby mode or back into achtive (operating mode).

standbymode
    Tells if the server is in standby mode or not.

exit
    Quits the server.

terminate
    Terminates the server as soon as all clients disconnected and all streams reaches EOF.

STREAM COMMANDS

volume STREAMID CHANNELS VOL0 VOL1 VOL2...
    Sets the mixing level for a stream with id STREAMID.

    CHANNELS is the nummber of channels to set volume. This should be the number of channels of the stream or a symbolic name. Currently the symbolic names mono and stereo are allowed. If you use mono all channels will get the level you give as VOL0. If you use stereo it will try to set the mixing levels as you are used from stereo setups even if the setup is not in stereo.

    The parameters VOL0 ... VOLn and the number of them depends on what you gave as CHANNELS. You have to give exactly CHANNELS parameters.

    If you give a numerical (not symbolic) value for CHANNELS and the stream does have a different number of channels the behavor is undefined. In the current implementation only the first CHANNELS channels will be updated. This behavor may change in the future.

kick TYPE ID
    Kicks an object of TYPE with id ID. Possible types are: client stream sample source

    You can get the ID via list* (see below).

newvirtual P D E R B C
    Adds a new virtual (child) stream. This is used with container formats such as RAUM, Ogg and Matroska.

    Parameters:

    P   Stream ID of Parent stream.

    D   Stream Direction.

    E   Stream codEc.

    R   Sample Rate.

    B   Bits per sample.

    C   Number of Channels.

flag ID FLAGS, unflag ID FLAGS, toogleflag ID FLAGS
    Sets, removes or toggles flags on a stream. ID is the stream id. FLAGS is a comma separated list of flags.

    It is not possible to set all kinds of flags at runtime.

protectflag ID FLAGS
    Protects flags on a stream. ID is the stream id. FLAGS is a comma separated list of flags.

    Protected flags can not be changed anymore after the they got protected.

META DATA COMMANDS

role ID ROLE
    Set stream role ROLE on stream ID.

metaget ID TYPE
    Read meta date of type TYPE from stream ID.

metasave ID FILE
    Saves the meta data of stream ID to file FILE. The Format is one KEY=Value pair per line. The same format is used by Xiph's tools.

metaload ID FILE
    Load meta data from file FILE into stream ID. The format is the same as for metasave.

SERVER INFO COMMANDS

serverinfo
    Gets general information about the server. This includes software vendor and version.

servertime
    Reports the server's system time.

serverstandards
    Report a list of standards the server supports.

libstandards
    Similar to serverstandards, reports the list of standard libroar supports. Same as --list-libstandards.

serveroinfo
    Gets Information about server output.

serveroinfo2 DIR
    Gets Information about server output for a given direction.

LISTING COMMANDS

listclients
    Gets Information about clients.

clientinfo ID
    Gets Information about client ID.

liststreams
    Gets Information about streams.

streaminfo ID
    Gets Information about stream ID.

allinfo
    Same as "serveroinfo listclients liststreams".

ENVIRONMENT VARIABLES
Below only the basic environment variables are listend. For a complete list see libroar(7).

HOME
    The users home directory.

ROAR_SERVER
    The address of the listening server. This may be in form of host:port for TCP/IP connections and /path/to/sock for UNIX Domain Sockets. This is the same as the --server option.

BUGS
1) Make the meta data commands api-fixed and list them here.

2) more often check if the user gave us enough arguments.

SEE ALSO
roarvorbis(1), roarfish(1), roarbaseclients(1), roartestclients(1), libroar(7), RoarAudio(7).

HISTORY

For history information see RoarAudio(7).